/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: Client.java 292 2011-08-31 11:42:01Z chazalet $
 *
 */

package org.ow2.sirocco.cloudmanager.remoteclient;

import java.io.PrintStream;

import javax.ejb.EJB;
import javax.naming.NamingException;

import org.ow2.sirocco.cloudmanager.admin.exception.InvalidArgumentException;
import org.ow2.sirocco.cloudmanager.admin.exception.NoRelevantResourcesPoolException;
import org.ow2.sirocco.cloudmanager.service.reservation.api.IRemoteResourcesReservation;

@Deprecated
public final class Client {

    /**
     * Empty default constructor for utility class.
     */
    private Client() {

    }

    /**
     * Link to the ResourcesReservationBean bean. Bean will be injected by
     * JOnAS.
     */
    @EJB(mappedName = "ResourcesReservationBean")
    static private IRemoteResourcesReservation resourcesReservation;

    /**
     * @param args Command line arguments
     * @throws NamingException InitialContext creation failure
     */
    public static void main(final String[] args) {

        PrintStream out = System.out;

        // Print Header
        out.println("- - - - - - - - - - - - - - - - - -");
        out.println(" Sirocco :: Remote Client  ");
        out.println("- - - - - - - - - - - - - - - - - -");

        // // Init datas if needed
        // out.print("Initialization ... ");
        // initializerBean.initializeEntities();
        // out.println("Done.");

        out.println("The IRemoteResourcesReservation Bean reference is : " + resourcesReservation);

        // Do something with resourcesReservation:
        // IResourcesReservation.xyz(...);
        try {
            System.out
                .println("Current booking period is: " + resourcesReservation.getBookingPeriodExpressedInTimeUnit() + ".");
            // OK, we're done
            out.println("Success.");
        } catch (InvalidArgumentException e) {
            e.printStackTrace();
            out.println("Failed.");
        } catch (NoRelevantResourcesPoolException e) {
            e.printStackTrace();
            out.println("Failed.");
        }

    }
}
