/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: SiroccoShell_AllTheTestsWithJUnitCommand.java 183 2011-07-22 15:29:27Z chazalet $
 *
 */

package org.ow2.sirocco.cloudmanager.remoteclientshell.command;

import junit.framework.TestSuite;
import junit.textui.TestRunner;

import org.ow2.sirocco.cloudmanager.remoteclientshell.ISiroccoShell_Command;
import org.ow2.sirocco.cloudmanager.testviaremoteclient.OVFImporterTest;
import org.ow2.sirocco.cloudmanager.testviaremoteclient.ReservationTest;
import org.ow2.sirocco.cloudmanager.testviaremoteclient.SystemInstanceManager_CreateSystemInstance_Test;
import org.ow2.sirocco.cloudmanager.testviaremoteclient.SystemInstanceManager_DestroySystemInstance_Test;
import org.ow2.sirocco.cloudmanager.testviaremoteclient.SystemInstanceManager_StartSystemInstance_Test;
import org.ow2.sirocco.cloudmanager.testviaremoteclient.SystemInstanceManager_StopSystemInstance_Test;
import org.ow2.sirocco.cloudmanager.testviaremoteclient.VMImageManagerTest;

public class SiroccoShell_AllTheTestsWithJUnitCommand implements ISiroccoShell_Command {

    @Override
    public String getCommandName() {
        return this.getClass().getSimpleName();
    }

    @Override
    public void run(final String commandLineWithoutCommandName) {
        // Add all the tests here.
        TestRunner.run(new TestSuite(ReservationTest.class, VMImageManagerTest.class, OVFImporterTest.class,
            SystemInstanceManager_CreateSystemInstance_Test.class, SystemInstanceManager_StartSystemInstance_Test.class,
            SystemInstanceManager_StopSystemInstance_Test.class, SystemInstanceManager_DestroySystemInstance_Test.class));
    }

}
