/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: SystemInstanceManager_CleanUpDestroyedSystemInstances_Test.java 292 2011-08-31 11:42:01Z chazalet $
 *
 */

package org.ow2.sirocco.cloudmanager.testviaremoteclient;

import java.util.logging.Logger;

import javax.naming.NamingException;

import junit.framework.TestCase;

import org.ow2.sirocco.cloudmanager.remoteclientshell.SiroccoShell_Launcher;
import org.ow2.sirocco.cloudmanager.service.IRemoteSystemInstanceManager;

public class SystemInstanceManager_CleanUpDestroyedSystemInstances_Test extends TestCase {

    private static IRemoteSystemInstanceManager systemInstanceManager;

    private static Logger log = Logger.getLogger(SystemInstanceManager_CleanUpDestroyedSystemInstances_Test.class.getName());

    @Override
    protected void setUp() throws NamingException {
        log.info("setUp()");
        // log.info("Enters in: setUp()");
        // Let's initialize the EJB references.
        systemInstanceManager = (IRemoteSystemInstanceManager) SiroccoShell_Launcher
            .connectToRemoteEJB3("SystemInstanceManagerBean");
        // log.info("Leaves: setUp()");
    }

    public void testCleanUpDestroyedSystemInstances() {
        log.info("testCleanUpDestroyedSystemInstances().");
        // log.info("Enters in: testCleanUpDestroyedSystemInstances().");
        systemInstanceManager.cleanUpDestroyedSystemInstances();
        // log.info("Leaves: testCleanUpDestroyedSystemInstances().");
    }

    @Override
    protected void tearDown() {
        log.info("tearDown()\n");
        // log.info("Enters in: tearDown()");
        systemInstanceManager = null;
        // log.info("Leaves: tearDown()\n");
    }
}