/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: SystemInstanceManager_ListSystemInstances_Test.java 292 2011-08-31 11:42:01Z chazalet $
 *
 */

package org.ow2.sirocco.cloudmanager.testviaremoteclient;

import java.util.List;
import java.util.logging.Logger;

import javax.naming.NamingException;

import junit.framework.TestCase;

import org.ow2.sirocco.cloudmanager.admin.exception.InvalidArgumentException;
import org.ow2.sirocco.cloudmanager.admin.exception.NoRelevantResourcesPoolException;
import org.ow2.sirocco.cloudmanager.admin.exception.UserAlreadyExistsException;
import org.ow2.sirocco.cloudmanager.admin.vo.SystemInstanceVO;
import org.ow2.sirocco.cloudmanager.remoteclientshell.SiroccoShell_Launcher;
import org.ow2.sirocco.cloudmanager.service.IRemoteSystemInstanceManager;

public class SystemInstanceManager_ListSystemInstances_Test extends TestCase {

    private static IRemoteSystemInstanceManager systemInstanceManager;

    private static Logger log = Logger.getLogger(SystemInstanceManager_ListSystemInstances_Test.class.getName());

    @Override
    protected void setUp() throws NamingException, UserAlreadyExistsException, NoRelevantResourcesPoolException,
        InvalidArgumentException {
        log.info("setUp()");

        // Let's initialize the EJB references.
        systemInstanceManager = (IRemoteSystemInstanceManager) SiroccoShell_Launcher
            .connectToRemoteEJB3("SystemInstanceManagerBean");
    }

    public void testListSystemInstance() {
        log.info("testListSystemInstance().");

        List<SystemInstanceVO> siVOList = systemInstanceManager.listSystemInstances();

        log.info("siVOList: " + siVOList + ".");
        for (SystemInstanceVO siVO : siVOList) {
            log.info("siVO: " + siVO + ".");

            log.info("siVO.getId(): " + siVO.getId() + ".");
            log.info("siVO.getProjectId(): " + siVO.getProjectId() + ".");
            log.info("siVO.getStatus(): " + siVO.getStatus() + ".");
            log.info("siVO.getSystemTemplateId(): " + siVO.getSystemTemplateId() + ".");
            log.info("siVO.getUserId(): " + siVO.getUserId() + ".");
            log.info("siVO.getNetworksId(): " + siVO.getNetworksId() + ".");
            log.info("siVO.getVirtualMachinesId(): " + siVO.getVirtualMachinesId() + ".");
            log.info("siVO.getVolumesId(): " + siVO.getVolumesId() + ".");
        }
    }

    @Override
    protected void tearDown() {
        log.info("tearDown()\n");

        systemInstanceManager = null;
    }
}