/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: SystemTemplateManager_CleanUpDestroyedSystemTemplates_Test.java 292 2011-08-31 11:42:01Z chazalet $
 *
 */

package org.ow2.sirocco.cloudmanager.testviaremoteclient;

import java.util.logging.Logger;

import javax.naming.NamingException;

import junit.framework.TestCase;

import org.ow2.sirocco.cloudmanager.admin.exception.InvalidArgumentException;
import org.ow2.sirocco.cloudmanager.admin.exception.InvalidSystemInstanceStatusException;
import org.ow2.sirocco.cloudmanager.admin.exception.InvalidSystemTemplateStatusException;
import org.ow2.sirocco.cloudmanager.admin.exception.InvalidUsernameException;
import org.ow2.sirocco.cloudmanager.admin.exception.NoRelevantResourcesPoolException;
import org.ow2.sirocco.cloudmanager.admin.exception.PermissionDeniedException;
import org.ow2.sirocco.cloudmanager.admin.exception.UserAlreadyExistsException;
import org.ow2.sirocco.cloudmanager.remoteclientshell.SiroccoShell_Launcher;
import org.ow2.sirocco.cloudmanager.service.IRemoteSystemTemplateManager;

public class SystemTemplateManager_CleanUpDestroyedSystemTemplates_Test extends TestCase {

    private static IRemoteSystemTemplateManager systemTemplateManager;

    private static Logger log = Logger.getLogger(SystemTemplateManager_CleanUpDestroyedSystemTemplates_Test.class.getName());

    @Override
    protected void setUp() throws NamingException, UserAlreadyExistsException, NoRelevantResourcesPoolException,
        InvalidArgumentException {
        log.info("setUp()");
        // log.info("Enters in: setUp()");

        // Let's initialize the EJB references.
        systemTemplateManager = (IRemoteSystemTemplateManager) SiroccoShell_Launcher
            .connectToRemoteEJB3("SystemTemplateManagerBean");

        // log.info("Leaves: setUp()");
    }

    public void testCleanUpDestroyedSystemTemplates() throws InvalidUsernameException, InvalidArgumentException,
        PermissionDeniedException, InvalidSystemInstanceStatusException, InvalidSystemTemplateStatusException {
        log.info("testCleanUpDestroyedSystemTemplates().");
        // log.info("Enters in: testCleanUpDestroyedSystemTemplates().");

        systemTemplateManager.cleanUpDestroyedSystemTemplates();

        // log.info("Leaves: testCleanUpDestroyedSystemTemplates().");
    }

    @Override
    protected void tearDown() {
        log.info("tearDown()\n");
        // log.info("Enters in: tearDown()");

        systemTemplateManager = null;

        // log.info("Leaves: tearDown()\n");
    }
}