/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: SystemTemplateManager_DestroySystemTemplate_Test.java 265 2011-08-18 08:01:55Z chazalet $
 *
 */

package org.ow2.sirocco.cloudmanager.testviaremoteclient;

import java.util.logging.Logger;

import javax.naming.NamingException;

import junit.framework.TestCase;

import org.ow2.sirocco.cloudmanager.admin.exception.InvalidArgumentException;
import org.ow2.sirocco.cloudmanager.admin.exception.InvalidSystemInstanceStatusException;
import org.ow2.sirocco.cloudmanager.admin.exception.InvalidSystemTemplateStatusException;
import org.ow2.sirocco.cloudmanager.admin.exception.InvalidUsernameException;
import org.ow2.sirocco.cloudmanager.admin.exception.NoRelevantResourcesPoolException;
import org.ow2.sirocco.cloudmanager.admin.exception.PermissionDeniedException;
import org.ow2.sirocco.cloudmanager.admin.exception.UserAlreadyExistsException;
import org.ow2.sirocco.cloudmanager.remoteclientshell.SiroccoShell_Launcher;
import org.ow2.sirocco.cloudmanager.service.IRemoteSystemTemplateManager;
import org.ow2.sirocco.cloudmanager.service.IRemoteUserManager;

public class SystemTemplateManager_DestroySystemTemplate_Test extends TestCase {

    private static IRemoteUserManager userManager;

    private static IRemoteSystemTemplateManager systemTemplateManager;

    /**
     * UserName for tests purpose.
     */
    private String userName;

    private String projectId;

    private static Logger log = Logger.getLogger(SystemTemplateManager_DestroySystemTemplate_Test.class.getName());

    @Override
    protected void setUp() throws NamingException, UserAlreadyExistsException, NoRelevantResourcesPoolException,
        InvalidArgumentException {
        log.info("setUp()");
        // log.info("Enters in: setUp()");

        // Let's initialize the EJB references.
        userManager = (IRemoteUserManager) SiroccoShell_Launcher.connectToRemoteEJB3("UserManagerBean");
        systemTemplateManager = (IRemoteSystemTemplateManager) SiroccoShell_Launcher
            .connectToRemoteEJB3("SystemTemplateManagerBean");

        userName = "testuser";
        projectId = "testuser";

        // Optionally Creation of testuser
        // List<UserVO> userVO_list = userManager.getAllUsersVo();
        // if (userVO_list == null) {
        // // nothing to do.
        // } else {
        // Iterator<UserVO> userVO_temp_ITERATOR = userVO_list.iterator();
        // while (userVO_temp_ITERATOR.hasNext()) {
        // UserVO userVO_temp = userVO_temp_ITERATOR.next();
        // System.out.println("userVO_temp: "
        // + userVO_temp.getUsername());
        // }
        // }

        if (userManager.getUserByUsername(userName) != null) {
            // userManager.deleteUser(username);
            // User testuser = userManager.createUser(username, "testuser",
            // "testuser@mail.com", "testuserFirstName",
            // "testuserLastName");
        } else {
            // User testuser =
            userManager.createUser(userName, projectId, "testuser@mail.com", "testuserFirstName", "testuserLastName");
        }

        // Optionally Creation of testproject

        // log.info("Backup done.");

        // log.info("Leaves: setUp()");
    }

    public void testDestroySystemTemplate() throws InvalidUsernameException, InvalidArgumentException,
        PermissionDeniedException, InvalidSystemInstanceStatusException, InvalidSystemTemplateStatusException {
        log.info("testDestroySystemTemplate().");
        // log.info("Enters in: testDestroySystemTemplate().");

        Integer systemTemplateId = 1;
        systemTemplateManager.destroySystemTemplate(userName, systemTemplateId);

        // log.info("Leaves: testDestroySystemTemplate().");
    }

    @Override
    protected void tearDown() {
        log.info("tearDown()\n");
        // log.info("Enters in: tearDown()");

        userManager = null;
        systemTemplateManager = null;

        // log.info("Leaves: tearDown()\n");
    }
}