/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: SystemTemplateManager_ListSystemTemplates_Test.java 292 2011-08-31 11:42:01Z chazalet $
 *
 */

package org.ow2.sirocco.cloudmanager.testviaremoteclient;

import java.util.List;
import java.util.logging.Logger;

import javax.naming.NamingException;

import junit.framework.TestCase;

import org.ow2.sirocco.cloudmanager.admin.exception.InvalidArgumentException;
import org.ow2.sirocco.cloudmanager.admin.exception.NoRelevantResourcesPoolException;
import org.ow2.sirocco.cloudmanager.admin.exception.UserAlreadyExistsException;
import org.ow2.sirocco.cloudmanager.admin.vo.SystemTemplateVO;
import org.ow2.sirocco.cloudmanager.remoteclientshell.SiroccoShell_Launcher;
import org.ow2.sirocco.cloudmanager.service.IRemoteSystemTemplateManager;

public class SystemTemplateManager_ListSystemTemplates_Test extends TestCase {

    private static IRemoteSystemTemplateManager systemTemplateManager;

    private static Logger log = Logger.getLogger(SystemTemplateManager_ListSystemTemplates_Test.class.getName());

    @Override
    protected void setUp() throws NamingException, UserAlreadyExistsException, NoRelevantResourcesPoolException,
        InvalidArgumentException {
        log.info("setUp()");
        // log.info("Enters in: setUp()");

        // Let's initialize the EJB references.
        systemTemplateManager = (IRemoteSystemTemplateManager) SiroccoShell_Launcher
            .connectToRemoteEJB3("SystemTemplateManagerBean");

        // log.info("Leaves: setUp()");
    }

    public void testListSystemTemplates() {
        log.info("testListSystemTemplates().");
        // log.info("Enters in: testListSystemTemplates().");

        List<SystemTemplateVO> stVOList = systemTemplateManager.listSystemTemplates();

        log.info("stVOList: " + stVOList + ".");
        for (SystemTemplateVO stVOTemp : stVOList) {
            log.info("stVOTemp: " + stVOTemp + ".");
            log.info("stVOTemp.getId(): " + stVOTemp.getId() + ".");
            log.info("stVOTemp.getName(): " + stVOTemp.getName() + ".");
            log.info("stVOTemp.getStatus(): " + stVOTemp.getStatus() + ".");
            log.info("stVOTemp.getUserId(): " + stVOTemp.getUserId() + ".");
            log.info("stVOTemp.getProjectId(): " + stVOTemp.getProjectId() + ".");
            log.info("stVOTemp.getSystemInstancesId(): " + stVOTemp.getSystemInstancesId() + ".");
            log.info("stVOTemp.getNetworkTemplatesId(): " + stVOTemp.getNetworkTemplatesId() + ".");
            log.info("stVOTemp.getVirtualMachineTemplatesId(): " + stVOTemp.getVirtualMachineTemplatesId() + ".");
            log.info("stVOTemp.getVolumeTemplatesId(): " + stVOTemp.getVolumeTemplatesId() + ".");
            log.info("stVOTemp.getCustomizationPropertiesId(): " + stVOTemp.getCustomizationPropertiesId() + ".");
        }

        // log.info("Leaves: testListSystemTemplates().");
    }

    @Override
    protected void tearDown() {
        log.info("tearDown()\n");
        // log.info("Enters in: tearDown()");

        systemTemplateManager = null;

        // log.info("Leaves: tearDown()\n");
    }
}